/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursement.entity;


import com.jeeplus.common.persistence.DataEntity;

import java.math.BigDecimal;

/**
 * 财务报销Entity
 * @author 孟祥越
 * @version 2017-05-02
 */
public class ReimbursementVATTax extends DataEntity<ReimbursementVATTax> {

	private static final long serialVersionUID = 1L;
	private String invoiceCode;		// 发票代码
	private String invoiceNumber;		// 发票号
	private BigDecimal taxAmount;		// 税额
	private BigDecimal money;		// 发票号
	private BigDecimal sumMoney;		// 税额

	public BigDecimal getMoney() {
		return money;
	}

	public void setMoney(BigDecimal money) {
		this.money = money;
	}

	public BigDecimal getSumMoney() {
		return sumMoney;
	}

	public void setSumMoney(BigDecimal sumMoney) {
		this.sumMoney = sumMoney;
	}

	private WorkReimbursement workReimbursement;		// 报销单主键 父类

	public ReimbursementVATTax() {
		super();
	}
	public ReimbursementVATTax(WorkReimbursement workReimbursement){
		this.workReimbursement = workReimbursement;
	}

	public String getInvoiceCode() {
		return invoiceCode;
	}

	public void setInvoiceCode(String invoiceCode) {
		this.invoiceCode = invoiceCode;
	}

	public String getInvoiceNumber() {
		return invoiceNumber;
	}

	public void setInvoiceNumber(String invoiceNumber) {
		this.invoiceNumber = invoiceNumber;
	}

	public BigDecimal getTaxAmount() {
		return taxAmount;
	}

	public void setTaxAmount(BigDecimal taxAmount) {
		this.taxAmount = taxAmount;
	}

	public WorkReimbursement getWorkReimbursement() {
		return workReimbursement;
	}

	public void setWorkReimbursement(WorkReimbursement workReimbursement) {
		this.workReimbursement = workReimbursement;
	}
}